<?php

namespace App\ViewModels\PagSeguro\PagSeguroResponseViewModel;

use App\Utils\Builder;

class PagSeguroPaymentResponseViewModelBuilder implements Builder {
	protected $code;
	protected $message;
	protected $reference;

	public function build(): PagSeguroPaymentResponseViewModel {

		$obj = new PagSeguroPaymentResponseViewModel();

		$obj->setCode( $this->code );
		$obj->setMessage( $this->message );
		$obj->setReference( $this->reference );

		return $obj;

	}

	/**
	 *
	 * @param mixed $code
	 */
	public function setCode($code): PagSeguroPaymentResponseViewModelBuilder {

		$this->code = $code;
		return $this;

	}

	/**
	 *
	 * @param mixed $message
	 */
	public function setMessage($message): PagSeguroPaymentResponseViewModelBuilder {

		$this->message = $message;
		return $this;

	}

	/**
	 *
	 * @param mixed $reference
	 */
	public function setReference($reference): PagSeguroPaymentResponseViewModelBuilder {

		$this->reference = $reference;
		return $this;

	}

}

